comparison make/linux/Makefile @ 7992:471b684ff43e

8074312: Enable hotspot builds on 4.x Linux kernels Summary: Add "4" to list of allowable versions Reviewed-by: dholmes, mikael
author sgehwolf
date Tue, 10 Mar 2015 21:20:10 -0400
parents 5cd5371b5554
children 5b88604f11a1 b8bc00e338c4
comparison
equal deleted inserted replaced
25:4b01c6f2a42c 26:944a32522173
1 # 1 #
2 # Copyright (c) 1999, 2014, Oracle and/or its affiliates. All rights reserved. 2 # Copyright (c) 1999, 2015, Oracle and/or its affiliates. All rights reserved.
3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. 3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
4 # 4 #
5 # This code is free software; you can redistribute it and/or modify it 5 # This code is free software; you can redistribute it and/or modify it
6 # under the terms of the GNU General Public License version 2 only, as 6 # under the terms of the GNU General Public License version 2 only, as
7 # published by the Free Software Foundation. 7 # published by the Free Software Foundation.
231 231
232 # We do not want people accidentally building on old systems (e.g. Linux 2.2.x, 232 # We do not want people accidentally building on old systems (e.g. Linux 2.2.x,
233 # Solaris 2.5.1, 2.6). 233 # Solaris 2.5.1, 2.6).
234 # Disable this check by setting DISABLE_HOTSPOT_OS_VERSION_CHECK=ok. 234 # Disable this check by setting DISABLE_HOTSPOT_OS_VERSION_CHECK=ok.
235 235
236 SUPPORTED_OS_VERSION = 2.4% 2.5% 2.6% 3% 236 SUPPORTED_OS_VERSION = 2.4% 2.5% 2.6% 3% 4%
237 OS_VERSION := $(shell uname -r) 237 OS_VERSION := $(shell uname -r)
238 EMPTY_IF_NOT_SUPPORTED = $(filter $(SUPPORTED_OS_VERSION),$(OS_VERSION)) 238 EMPTY_IF_NOT_SUPPORTED = $(filter $(SUPPORTED_OS_VERSION),$(OS_VERSION))
239 239
240 check_os_version: 240 check_os_version:
241 ifeq ($(DISABLE_HOTSPOT_OS_VERSION_CHECK)$(EMPTY_IF_NOT_SUPPORTED),) 241 ifeq ($(DISABLE_HOTSPOT_OS_VERSION_CHECK)$(EMPTY_IF_NOT_SUPPORTED),)